## ivulncheck 0.1.65

=== ivulncheck-api/requirements.txt ===
pymongo
Flask

=== debian/changelog ===
ivulncheck (0.1.65-1) unstable; urgency=medium

  * Initial release. (Closes: #902420)

 -- Gaetan Egger <gaetan.egger@infomaniak.com>  Wed, 18 Apr 2018 11:19:38 +0200

=== debian/control ===
Source: ivulncheck
Section: admin
Priority: optional
Maintainer: Gaetan Egger <gaetan.egger@infomaniak.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-apt,
 python3-flask,
 python3-pymongo,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gegger-guest/ivulncheck
Vcs-Git: https://salsa.debian.org/gegger-guest/ivulncheck.git
Homepage: https://salsa.debian.org/gegger-guest/ivulncheck

Package: ivulncheck-agent
Architecture: all
Depends:
 ${misc:Depends},
Description: reports cluster security vulnerabilities and fixes - Agent
 Ivulncheck is a security tool to centralize the search of vulnerabilities and
 fixes concerning packages on a cluster. It leverages already existing tools
 and services such as debsecan and the Debian and Ubuntu CVE trackers to create
 a centralized database of known vulnerabilities and updates.
 .
 A tiny Ivulncheck agent shell script must be deployed on each node of the
 cluster to report its existing deployed packages (only Ubuntu and Debian are
 supported). Then, several commands can be executed to search vulnerabilities
 and determine available security updates. Four main sources are used :
 .
  * debsecan for Debian hosts.
  * ubuntu-cve-tracker for Ubuntu hosts.
  * CVE-Search for custom installed application (manually configuration
    needed).
  * madison-lite (to complete missing fixes due to possibly outdated sources,
    missing sources or non referenced vulnerabilities).
 .
 Eventually, you can get information (installed packages, monitored hosts,
 known vulnerabilities an available fixes) directly from the API, or through
 a web interface that provides a graphical rendering of the information.
 .
 This package contains the agent. It is designed to be as much as possible
 dependents less.

Package: ivulncheck-api
Architecture: all
Depends:
 adduser,
 apache2,
 bzr,
 ca-certificates,
 curl,
 libapache2-mod-wsgi-py3,
 madison-lite,
 mongodb-server,
 python3-apt,
 python3-flask,
 python3-pymongo,
 rsync,
 wget,
 ${misc:Depends},
 ${python3:Depends},
Description: reports cluster security vulnerabilities and fixes - API
 Ivulncheck is a security tool to centralize the search of vulnerabilities and
 fixes concerning packages on a cluster. It leverages already existing tools
 and services such as debsecan and the Debian and Ubuntu CVE trackers to create
 a centralized database of known vulnerabilities and updates.
 .
 A tiny Ivulncheck agent shell script must be deployed on each node of the
 cluster to report its existing deployed packages (only Ubuntu and Debian are
 supported). Then, several commands can be executed to search vulnerabilities
 and determine available security updates. Four main sources are used :
 .
  * debsecan for Debian hosts.
  * ubuntu-cve-tracker for Ubuntu hosts.
  * CVE-Search for custom installed application (manually configuration
    needed).
  * madison-lite (to complete missing fixes due to possibly outdated sources,
    missing sources or non referenced vulnerabilities).
 .
 Eventually, you can get information (installed packages, monitored hosts,
 known vulnerabilities an available fixes) directly from the API, or through
 a web interface that provides a graphical rendering of the information.
 .
 This package contains the REST API server.

Package: ivulncheck-client
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: reports cluster security vulnerabilities and fixes - Client
 Ivulncheck is a security tool to centralize the search of vulnerabilities and
 fixes concerning packages on a cluster. It leverages already existing tools
 and services such as debsecan and the Debian and Ubuntu CVE trackers to create
 a centralized database of known vulnerabilities and updates.
 .
 A tiny Ivulncheck agent shell script must be deployed on each node of the
 cluster to report its existing deployed packages (only Ubuntu and Debian are
 supported). Then, several commands can be executed to search vulnerabilities
 and determine available security updates. Four main sources are used :
 .
  * debsecan for Debian hosts.
  * ubuntu-cve-tracker for Ubuntu hosts.
  * CVE-Search for custom installed application (manually configuration
    needed).
  * madison-lite (to complete missing fixes due to possibly outdated sources,
    missing sources or non referenced vulnerabilities).
 .
 Eventually, you can get information (installed packages, monitored hosts,
 known vulnerabilities an available fixes) directly from the API, or through
 a web interface that provides a graphical rendering of the information.
 .
 This package contains the CLI REST API client.

Package: ivulncheck-web
Architecture: all
Depends:
 adduser,
 apache2,
 ca-certificates,
 libjs-bootstrap,
 libjs-d3,
 libjs-jquery,
 libapache2-mod-wsgi-py3,
 python3-flask,
 python3-flaskext.wtf,
 ${misc:Depends},
 ${python3:Depends},
Description: reports cluster security vulnerabilities and fixes - Web GUI
 Ivulncheck is a security tool to centralize the search of vulnerabilities and
 fixes concerning packages on a cluster. It leverages already existing tools
 and services such as debsecan and the Debian and Ubuntu CVE trackers to create
 a centralized database of known vulnerabilities and updates.
 .
 A tiny Ivulncheck agent shell script must be deployed on each node of the
 cluster to report its existing deployed packages (only Ubuntu and Debian are
 supported). Then, several commands can be executed to search vulnerabilities
 and determine available security updates. Four main sources are used :
 .
  * debsecan for Debian hosts.
  * ubuntu-cve-tracker for Ubuntu hosts.
  * CVE-Search for custom installed application (manually configuration
    needed).
  * madison-lite (to complete missing fixes due to possibly outdated sources,
    missing sources or main referenced vulnerabilities).
 .
 Eventually, you can get information (installed packages, monitored hosts,
 known vulnerabilities an available fixes) directly from the API, or through
 a web interface that provides a graphical rendering of the information.
 .
 This package contains the Web Interface.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	set -e ; cd ivulncheck-api && python3 setup.py clean && rm -rf .stestr/ build/ ivulncheck_*.egg-info
	set -e ; cd ivulncheck-client && python3 setup.py clean && rm -rf .stestr/ build/ ivulncheck_*.egg-info
	set -e ; cd ivulncheck-web && python3 setup.py clean && rm -rf .stestr/ build/ ivulncheck_*.egg-info

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Disabled tests..."
	#pkgos-dh_auto_test --no-py2

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	dh_install
	set -e ; cd ivulncheck-api && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-api
	set -e ; cd ivulncheck-client && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-client
	set -e ; cd ivulncheck-web && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-web
	set -e ; find $(CURDIR)/debian/ivulncheck-web/usr/lib -iname '(bootstrap|d3|jquery).(css|js)' -delete
	set -e ; rm $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/*/vendors/*
	set -e ; ln -s ../../../../../javascript/bootstrap/js/bootstrap.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/bootstrap.js
	set -e ; ln -s ../../../../../javascript/d3/d3.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/d3.js
	set -e ; ln -s ../../../../../javascript/jquery/jquery.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/jquery.js
	set -e ; ln -s ../../../../../javascript/bootstrap/css/bootstrap.css $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/css/vendors/bootstrap.css
	
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 /usr/share

## ivulncheck 0.1.67

=== doc/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ivulncheck.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ivulncheck.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ivulncheck"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ivulncheck"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
ivulncheck (0.1.67-1.1) unstable; urgency=medium

  * Non-maintainer upload with agreement from my sponsoree.
  * Added a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Dec 2018 12:03:12 +0100

ivulncheck (0.1.67-1) unstable; urgency=medium

  * New upstream release.

 -- Gaetan Egger <gaetan.egger@infomaniak.com>  Tue, 28 Aug 2018 11:27:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  python3-apt,
  python3-flask,
@@ -155,3 +156,18 @@
  a web interface that provides a graphical rendering of the information.
  .
  This package contains the Web Interface.
+
+Package: ivulncheck-doc
+Architecture: all
+Section: doc
+Build-Profiles: <!nodoc>
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: reports cluster security vulnerabilities and fixes - Agent
+ Ivulncheck is a security tool to centralize the search of vulnerabilities and
+ fixes concerning packages on a cluster. It leverages already existing tools
+ and services such as debsecan and the Debian and Ubuntu CVE trackers to create
+ a centralized database of known vulnerabilities and updates.
+ .
+ This package provides ivulncheck documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	set -e ; cd ivulncheck-api && python3 setup.py clean && rm -rf .stestr/ build/ ivulncheck_*.egg-info
@@ -25,13 +25,20 @@
 	set -e ; cd ivulncheck-api && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-api
 	set -e ; cd ivulncheck-client && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-client
 	set -e ; cd ivulncheck-web && python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/ivulncheck-web
-	set -e ; find $(CURDIR)/debian/ivulncheck-web/usr/lib -iname '(bootstrap|d3|jquery).(css|js)' -delete
+	set -e ; find $(CURDIR)/debian/ivulncheck-web/usr/lib -iname '(bootstrap|d3|jquery).(css|js|css.map)' -delete
 	set -e ; rm $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/*/vendors/*
 	set -e ; ln -s ../../../../../javascript/bootstrap/js/bootstrap.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/bootstrap.js
 	set -e ; ln -s ../../../../../javascript/d3/d3.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/d3.js
 	set -e ; ln -s ../../../../../javascript/jquery/jquery.js $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/js/vendors/jquery.js
 	set -e ; ln -s ../../../../../javascript/bootstrap/css/bootstrap.css $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/css/vendors/bootstrap.css
+	set -e ; ln -s ../../../../../javascript/bootstrap/css/bootstrap.css.map $(CURDIR)/debian/ivulncheck-web/usr/share/ivulncheck-web/web/static/css/vendors/bootstrap.css.map
 	
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 	dh_python3 /usr/share
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	python3 -m sphinx -b html doc/source $(CURDIR)/debian/ivulncheck-doc/usr/share/doc/ivulncheck-doc/html
+	dh_sphinxdoc
+endif

=== debian/watch ===
version=3
https://github.com/infomaniak/ivulncheck/tags .*/(\d[\d\.]+)\.tar\.gz
